<%@ page contentType="text/html;charset=GBK" %>
<%@ page import="myBean.mail.*" %>
<html>
<head>
<title>查看邮件信息</title>
</head>

<body align="center">
<jsp:useBean id="mm" scope="page" class="myBean.mail.MailManager" />
<%
	myBean.mail.Mails ms = mm.getMails();
	int total = ms.getMessageCount();
	out.println("共<b>"+total+"</b>封，<b>"+ms.getUnreadedMessageCount()+"</b>封未读");
	out.println("<br>邮件列表：");
%>
<table width="95%"  border="1">
<tr>
	<td width="10%">编号</td>
	<td width="50%">标题</td>
	<td width="20%">发件人</td>
	<td width="20%">收件人</td>
</tr>
<%		
	for(int i=0; i<total; i++) {
		myBean.mail.Mail m = ms.getMail(i);
			if(m!=null) {
%>
<tr>
	<td width="10%"><%=i+1%></td>
	<td width="50%"><%=m.getSubject()%></td>
	<td width="20%"><%=m.getFroms()%></td>
	<td width="20%"><%=m.getRecipients()%></td>
</tr>
<%			}
	}
%>
</table>
</body>

</html>